﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.MainForm {
  public abstract class UserInterfaceItemBase : IUserInterfaceItem{
    protected UserInterfaceItemBase() {
      this.toolTipText = string.Empty;
    }

    public abstract string Name { get; }
    public abstract int Position { get; }

    public virtual System.Drawing.Image Image {
      get { return null; }
    }

    protected string toolTipText;
    public virtual string ToolTipText { 
      get { return toolTipText; }
      set { this.toolTipText = value; }
    }

    public abstract void Execute();

    public virtual void ActiveViewChanged(object sender, EventArgs e) {
    }

    public virtual void ViewChanged(object sender, EventArgs e) {
    }

    public virtual void MainFormChanged(object sender, EventArgs e) {
    }
  }
}
